import { jsx } from "react/jsx-runtime";
import { LifebuoyIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Lifebuoy = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Lifebuoy", ...props, children: /* @__PURE__ */ jsx(LifebuoyIcon, { weight: variant }) });
  }
);
Lifebuoy.displayName = "Lifebuoy";
Object.assign(Lifebuoy, { isGdsIcon: true });
export {
  Lifebuoy
};
